Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82741 - can't set default query without running it
Summary: can't set default query without running it
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.2
Hardware: All
OS: Linux
medium
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-25 16:38 UTC by Jay Berkenbilt
Modified: 2013-06-24 03:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-16 17:35:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 455545 None None None Never

Description Jay Berkenbilt 2003-01-25 16:38:19 UTC
Description of problem:

In the old (2.8-based) bugzilla interface, it was possible to set a deafult
query without running the query.  Now it seems that setting something as a
default query has to be done in conjunction with executing the query.  This is
somewhat undesirable in some cases.  My default query is always set to search
the current beta, rawhide, and the most recent release.  I always have no
components selected.  Executing that query would return a huge number of bugs. 
I never actually make my default query; I just use it as a convenient starting
point.

Luckily, it works to execute the query and stop it before it returns any resuls....

Comment 1 David Lawrence 2006-04-08 17:49:49 UTC
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Comment 2 Jay Berkenbilt 2006-04-08 17:55:00 UTC
I can confirm that this "bug" is still present in Red Hat's current Bugzilla.  I
can't swear to it, but I believe this problem is present in bugzilla's current
upstream as well.

Comment 3 Jay Berkenbilt 2007-11-26 17:49:55 UTC
It's amusing that this bug is still "new" after almost five years.

Comment 4 David Lawrence 2008-09-16 16:49:47 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 5 Jay Berkenbilt 2008-09-16 17:19:13 UTC
I can confirm that this behavior is still present in 3.2.  Maybe I should just report this to mozilla's bugzilla, which is probably what I should have done over 5 years ago....

Comment 6 David Lawrence 2008-09-16 17:24:34 UTC
We are running very close to stock upstream code so if you do not mind, please file this in the upstream Bugzilla and then the fix will trickle down to us.
Once you have done that post the new bug link here and close as UPSTREAM resolution.

Thanks
Dave

Comment 7 Jay Berkenbilt 2008-09-16 17:32:33 UTC
Crossed in the mail.  Here's the upstream report I just entered:

https://bugzilla.mozilla.org/show_bug.cgi?id=455545

Comment 8 Jay Berkenbilt 2008-09-16 17:35:42 UTC
closed "upstream" as per request.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.